@echo off

echo ARJBACKUP, ARJ Archivierung mit Unterverzeichnissen auf Diskettengr”áe
echo .

if "%1"=="" goto param_error
if "%2"=="" goto param_error

if %2==/1440 goto arc_1440
if %2==/1200 goto arc_1200
if %2==/720  goto arc_720
if %2==/360  goto arc_360

goto param_error


:arc_1440
echo . Archiviere Daten des aktuellen Verzeichnisses in das
echo . Archiv %1.arj[a01..an] mit der Gr”áe 1,44 MBytes
echo .
arj a -r -v1440 %1 *.*
if errorlevel 1 goto arj_error
goto stop

:arc_1200
echo . Archiviere Daten des aktuellen Verzeichnisses in das
echo . Archiv %1.arj[a01..an] mit der Gr”áe 1,2 MBytes
echo .
arj a -r -v1200 %1 *.*
if errorlevel 1 goto arj_error
goto stop

:arc_720
echo . Archiviere Daten des aktuellen Verzeichnisses in das
echo . Archiv %1.arj[a01..an] mit der Gr”áe 720 Kbytes
echo .
arj a -r -v720 %1 *.*
if errorlevel 1 goto arj_error
goto stop

:arc_360
echo . Archiviere Daten des aktuellen Verzeichnisses in das
echo . Archiv %1.arj[a01..an] mit der Gr”áe 360 Kbytes
echo .
arj a -r -v360 %1 *.*
if errorlevel 1 goto arj_error
goto stop

:arj_error
echo . Archivierungsfehler %1
echo .
goto stop

:param_error
echo . Benutzung: ARJBACK Archive /Gr”áe
echo .
echo .               Archive - Name der Archivdatei(en) ohne Extension
echo .                         Beispiel: test    - im aktuellen Verz.
echo .                                   a:\test - auf DisketteLW A
echo .               Gr”áe   - Gr”áe der Archivedatei in Kilobytes
echo .                         M”glichkeiten: 1440, 1200, 720, 360
echo .
:stop
